#
# spec file for package gnome-sound-recorder
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Dominique Leuenberger, Amsterdam, The Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-sound-recorder
Version:        3.24.0.1
Release:        lp152.4.3.1
Summary:        Sound Recorder
License:        BSD-3-Clause and LGPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            https://wiki.gnome.org/Design/Apps/SoundRecorder
Source0:        http://download.gnome.org/sources/gnome-sound-recorder/3.24/%{name}-%{version}.tar.xz
Source99:       gnome-sound-recorder-rpmlintrc
Patch01:	gnome-sound-recorder-Remove-usage-of-conditional-catch-statements.patch
BuildRequires:  gjs
BuildRequires:  gstreamer-plugins-bad
BuildRequires:  gstreamer-plugins-base
BuildRequires:  gstreamer-plugins-good
BuildRequires:  intltool >= 0.26
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.46
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.31.6
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.12
Requires:       gstreamer-plugins-bad
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good
Recommends:     %{name}-lang
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
A simple, modern sound recorder.

%lang_package
%prep
%setup -q
%autopatch -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print
%suse_update_desktop_file -G "Sound Recorder" -r org.gnome.SoundRecorder GNOME AudioVideo Recorder
%find_lang %{name}

%post
%glib2_gsettings_schema_post
%desktop_database_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc README NEWS COPYING AUTHORS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/org.gnome.SoundRecorder.appdata.xml
%{_datadir}/applications/org.gnome.SoundRecorder.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-sound-recorder.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*

%files lang -f %{name}.lang

%changelog
* Thu Oct  1 2020 Martin Wilck <mwilck@suse.com>
- Fix JS error during startup (boo#1177168)
  * Add patch: gnome-sound-recorder-Remove-usage-of-conditional-catch-statements.patch
* Wed Mar 22 2017 zaitor@opensuse.org
- Update to version 3.24.0.1:
  + configure: Drop id3mux check failure to a warning.
  + Updated translations.
* Tue Mar 21 2017 dimstar@opensuse.org
- Update to version 3.24.0:
  + Fix codec errors caused by mono/stereo combobox.
  + Fix for Debian/Tails (bgo#777862).
  + Updated translations.
- Add pkgconfig(gstreamer-1.0) BuildRequires: new verified
  dependency.
- Add gstreamer-plugins-base, gstreamer-plugins-good and
  gstreamer-plugins-bad BuildRequires: newly verified build
  dependencies.
- Add gstreamer-plugins-base, gstreamer-plugins-good and
  gstreamer-plugins-bad Requires: the build dependency is merely to
  confirm the modules are present, but generally it would be
  runtime dependencies.
* Tue Sep 13 2016 zaitor@opensuse.org
- Update to version 3.21.92:
  + Updated translations.
* Fri Jul  1 2016 toddrme2178@gmail.com
- Fix Group tag.
* Mon May  9 2016 zaitor@opensuse.org
- Update to version 3.20.2:
  + Updated translations.
* Fri Apr 29 2016 zaitor@opensuse.org
- Update to version 3.19.92:
  + Deleting files did not refresh listview (bgo#765348).
* Sun Feb 28 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + Fix syntax error in icons Makefile.
  + Prevent stylesheet file deletion after 'make clean'.
  + Fix duplicate buttons in headerbar of about dialog.
  + Icon: provide a symbolic variant.
  + Format date created.
  + Create lookup table for files so retrieval for renaming is o(1)
    operation.
  + Updated translations.
* Thu Jan 21 2016 zaitor@opensuse.org
- Update to version 3.19.4:
  + Assign an icon to the application window.
  + Enable recodings in mono.
  + Set the correct application icon in the 'About' dialog.
  + Fix deprecated file creation mask.
  + Play when button is pressed even if row is not selected.
  + Updated translations.
* Mon Nov  9 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Fix bgo#756993.
- Drop gsd-bgo756993-Check-for-null-clock.patch: Fixed upstream.
* Fri Oct 30 2015 zaitor@opensuse.org
- Add gsd-bgo756993-Check-for-null-clock.patch: Check for a null
  clock before getting the time. Crash fix from upstream git
  (bgo#756993).
* Tue Oct 13 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
- Switch package to noarch BuildArch: There is no binary in this
  package.
* Wed Sep 16 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + No changes, only version bump.
* Mon Aug 31 2015 zaitor@opensuse.org
- Update to version 3.17.91:
  + Updated translations.
* Mon Aug 17 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Updated translations.
* Mon May 25 2015 zaitor@opensuse.org
- Update to version 3.17.2:
  + Bugs fixed: bgo#744989.
* Thu Apr 30 2015 dimstar@opensuse.org
- Update to version 3.17.1:
  + Updated translations.
* Tue Mar 24 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Mon Mar 16 2015 dimstar@opensuse.org
- Update to version 3.15.92:
  + Waveform bugfixes.
  + Updated translations.
* Tue Mar  3 2015 dimstar@opensuse.org
- Update to version 3.15.91:
  + Force symbolic link creation during installation.
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Correct overlapping of long titles and the date in main view.
  + Improve window size.
  + Improve file name assignment.
  + Replace margin_right and margin_left with margin_start and
    margin_end.
  + Updated translations.
* Wed Dec 17 2014 zaitor@opensuse.org
- Update to version 3.15.3:
  + Whitespace cleanup.
  + Add hours to the time label for recordings.
  + Fix line spacing.
  + Updated translations.
* Sun Nov  9 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Updated translations.
* Mon Sep 22 2014 zaitor@opensuse.org
- Update to version 3.14.0.1:
  + Updated translations.
* Mon Sep 15 2014 zaitor@opensuse.org
- Update to version 3.14:
  + More css style fixes.
* Tue Sep  2 2014 zaitor@opensuse.org
- Update to version 3.13.91:
  + Add a HighContrast app icon.
  + Update css to work with new version of Adwaita.
* Tue Jul 22 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Adapt for the package.js which is shipped by gjs.
  + Improve error handling.
  + Add AppData file.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Change Done button in Preferences dialog to close.
  + Add title to header bar in Info dialog.
  + Add accelerator for quit action.
  + Avoid calls to undefined vars in case of invalid audio
    settings.
- Changes from version 3.12.0:
  + No changes from version 3.11.92.
* Wed Mar 19 2014 zaitor@opensuse.org
- Update to version 3.11.92:
  + Include COPYING and AUTHORS files
  + Improve README and NEWS files.
* Mon Mar  3 2014 zaitor@opensuse.org
- Update to version 3.11.91:
  + Ui changes.
  + Bug fixes.
  + Updated translations.
- Drop gnome-sound-recorder-gettext.patch, fixed upstream.
- Drop gnome-common BuildRequires and call to gnome-autogen.sh: No
  longer required, as there are no patches left.
* Tue Dec 17 2013 dimstar@opensuse.org
- Initial package, version 3.11.3.
- Add gnome-sound-recorder-gettext.patch: Fix installation of
  translation's filenames.
